<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:19:38 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>TransformationPackage (org.eclipse.papyrus.designer.transformation.profile 0.7.6 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TransformationPackage (org.eclipse.papyrus.designer.transformation.profile 0.7.6 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TransformationPackage.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationFactory.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.Literals.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html" target="_top">Frames</a></li>
<li><a href="TransformationPackage.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.transformation.profile.Transformation</div>
<h2 title="Interface TransformationPackage" class="title">Interface TransformationPackage</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/impl/TransformationPackageImpl.html" title="class in org.eclipse.papyrus.designer.transformation.profile.Transformation.impl">TransformationPackageImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">TransformationPackage</span>
extends org.eclipse.emf.ecore.EPackage</pre>
<div class="block"><!-- begin-user-doc -->
 The <b>Package</b> for the model.
 It contains accessors for the meta objects to represent
 <ul>
   <li>each class,</li>
   <li>each feature of each class,</li>
   <li>each operation of each class,</li>
   <li>each enum,</li>
   <li>and each data type</li>
 </ul>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationFactory.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation"><code>TransformationFactory</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.Literals.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation">TransformationPackage.Literals</a></span></code>
<div class="block">Defines literals for the meta objects that represent
 
   each class,
   each feature of each class,
   each operation of each class,
   each enum,
   and each data type
 
 <!-- end-user-doc --></div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#APPLY_TRANSFORMATION">APPLY_TRANSFORMATION</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/impl/ApplyTransformationImpl.html" title="class in org.eclipse.papyrus.designer.transformation.profile.Transformation.impl"><code><em>Apply Transformation</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#APPLY_TRANSFORMATION__BASE_ELEMENT">APPLY_TRANSFORMATION__BASE_ELEMENT</a></span></code>
<div class="block">The feature id for the '<em><b>Base Element</b></em>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#APPLY_TRANSFORMATION__TRAFO">APPLY_TRANSFORMATION__TRAFO</a></span></code>
<div class="block">The feature id for the '<em><b>Trafo</b></em>' reference list.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#APPLY_TRANSFORMATION_FEATURE_COUNT">APPLY_TRANSFORMATION_FEATURE_COUNT</a></span></code>
<div class="block">The number of structural features of the '<em>Apply Transformation</em>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#APPLY_TRANSFORMATION_OPERATION_COUNT">APPLY_TRANSFORMATION_OPERATION_COUNT</a></span></code>
<div class="block">The number of operations of the '<em>Apply Transformation</em>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#DERIVED_ELEMENT">DERIVED_ELEMENT</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/impl/DerivedElementImpl.html" title="class in org.eclipse.papyrus.designer.transformation.profile.Transformation.impl"><code><em>Derived Element</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#DERIVED_ELEMENT__BASE_ELEMENT">DERIVED_ELEMENT__BASE_ELEMENT</a></span></code>
<div class="block">The feature id for the '<em><b>Base Element</b></em>' reference.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#DERIVED_ELEMENT__SOURCE">DERIVED_ELEMENT__SOURCE</a></span></code>
<div class="block">The feature id for the '<em><b>Source</b></em>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#DERIVED_ELEMENT_FEATURE_COUNT">DERIVED_ELEMENT_FEATURE_COUNT</a></span></code>
<div class="block">The number of structural features of the '<em>Derived Element</em>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#DERIVED_ELEMENT_OPERATION_COUNT">DERIVED_ELEMENT_OPERATION_COUNT</a></span></code>
<div class="block">The number of operations of the '<em>Derived Element</em>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation">TransformationPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#eINSTANCE">eINSTANCE</a></span></code>
<div class="block">The singleton instance of the package.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#eNAME">eNAME</a></span></code>
<div class="block">The package name.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#eNS_PREFIX">eNS_PREFIX</a></span></code>
<div class="block">The package namespace name.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#eNS_URI">eNS_URI</a></span></code>
<div class="block">The package namespace URI.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#M2M_TRAFO">M2M_TRAFO</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/impl/M2MTrafoImpl.html" title="class in org.eclipse.papyrus.designer.transformation.profile.Transformation.impl"><code><em>M2M Trafo</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#M2M_TRAFO__AFTER">M2M_TRAFO__AFTER</a></span></code>
<div class="block">The feature id for the '<em><b>After</b></em>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#M2M_TRAFO__BASE_CLASS">M2M_TRAFO__BASE_CLASS</a></span></code>
<div class="block">The feature id for the '<em><b>Base Class</b></em>' reference.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#M2M_TRAFO__BEFORE">M2M_TRAFO__BEFORE</a></span></code>
<div class="block">The feature id for the '<em><b>Before</b></em>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#M2M_TRAFO_CHAIN">M2M_TRAFO_CHAIN</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/impl/M2MTrafoChainImpl.html" title="class in org.eclipse.papyrus.designer.transformation.profile.Transformation.impl"><code><em>M2M Trafo Chain</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#M2M_TRAFO_CHAIN__BASE_CLASS">M2M_TRAFO_CHAIN__BASE_CLASS</a></span></code>
<div class="block">The feature id for the '<em><b>Base Class</b></em>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#M2M_TRAFO_CHAIN_FEATURE_COUNT">M2M_TRAFO_CHAIN_FEATURE_COUNT</a></span></code>
<div class="block">The number of structural features of the '<em>M2M Trafo Chain</em>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#M2M_TRAFO_CHAIN_OPERATION_COUNT">M2M_TRAFO_CHAIN_OPERATION_COUNT</a></span></code>
<div class="block">The number of operations of the '<em>M2M Trafo Chain</em>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#M2M_TRAFO_FEATURE_COUNT">M2M_TRAFO_FEATURE_COUNT</a></span></code>
<div class="block">The number of structural features of the '<em>M2M Trafo</em>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#M2M_TRAFO_OPERATION_COUNT">M2M_TRAFO_OPERATION_COUNT</a></span></code>
<div class="block">The number of operations of the '<em>M2M Trafo</em>' class.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#getApplyTransformation_Base_Element--">getApplyTransformation_Base_Element</a></span>()</code>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/ApplyTransformation.html#getBase_Element--"><code><em>Base Element</em></code></a>'.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#getApplyTransformation_Trafo--">getApplyTransformation_Trafo</a></span>()</code>
<div class="block">Returns the meta object for the reference list '<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/ApplyTransformation.html#getTrafo--"><code><em>Trafo</em></code></a>'.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#getApplyTransformation--">getApplyTransformation</a></span>()</code>
<div class="block">Returns the meta object for class '<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/ApplyTransformation.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation"><code><em>Apply Transformation</em></code></a>'.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#getDerivedElement_Base_Element--">getDerivedElement_Base_Element</a></span>()</code>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/DerivedElement.html#getBase_Element--"><code><em>Base Element</em></code></a>'.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#getDerivedElement_Source--">getDerivedElement_Source</a></span>()</code>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/DerivedElement.html#getSource--"><code><em>Source</em></code></a>'.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#getDerivedElement--">getDerivedElement</a></span>()</code>
<div class="block">Returns the meta object for class '<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/DerivedElement.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation"><code><em>Derived Element</em></code></a>'.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#getM2MTrafo_After--">getM2MTrafo_After</a></span>()</code>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/M2MTrafo.html#getAfter--"><code><em>After</em></code></a>'.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#getM2MTrafo_Base_Class--">getM2MTrafo_Base_Class</a></span>()</code>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/M2MTrafo.html#getBase_Class--"><code><em>Base Class</em></code></a>'.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#getM2MTrafo_Before--">getM2MTrafo_Before</a></span>()</code>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/M2MTrafo.html#getBefore--"><code><em>Before</em></code></a>'.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#getM2MTrafo--">getM2MTrafo</a></span>()</code>
<div class="block">Returns the meta object for class '<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/M2MTrafo.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation"><code><em>M2M Trafo</em></code></a>'.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#getM2MTrafoChain_Base_Class--">getM2MTrafoChain_Base_Class</a></span>()</code>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/M2MTrafoChain.html#getBase_Class--"><code><em>Base Class</em></code></a>'.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#getM2MTrafoChain--">getM2MTrafoChain</a></span>()</code>
<div class="block">Returns the meta object for class '<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/M2MTrafoChain.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation"><code><em>M2M Trafo Chain</em></code></a>'.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationFactory.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation">TransformationFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#getTransformationFactory--">getTransformationFactory</a></span>()</code>
<div class="block">Returns the factory that creates the instances of the model.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.ENamedElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.ENamedElement</h3>
<code>getName, setName</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EModelElement</h3>
<code>getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="eNAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eNAME</h4>
<pre>static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> eNAME</pre>
<div class="block">The package name.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.designer.transformation.profile.Transformation.TransformationPackage.eNAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="eNS_URI">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eNS_URI</h4>
<pre>static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> eNS_URI</pre>
<div class="block">The package namespace URI.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.designer.transformation.profile.Transformation.TransformationPackage.eNS_URI">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="eNS_PREFIX">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eNS_PREFIX</h4>
<pre>static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> eNS_PREFIX</pre>
<div class="block">The package namespace name.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.designer.transformation.profile.Transformation.TransformationPackage.eNS_PREFIX">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="eINSTANCE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eINSTANCE</h4>
<pre>static final&nbsp;<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation">TransformationPackage</a> eINSTANCE</pre>
<div class="block">The singleton instance of the package.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="APPLY_TRANSFORMATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>APPLY_TRANSFORMATION</h4>
<pre>static final&nbsp;int APPLY_TRANSFORMATION</pre>
<div class="block">The meta object id for the '<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/impl/ApplyTransformationImpl.html" title="class in org.eclipse.papyrus.designer.transformation.profile.Transformation.impl"><code><em>Apply Transformation</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/impl/ApplyTransformationImpl.html" title="class in org.eclipse.papyrus.designer.transformation.profile.Transformation.impl"><code>ApplyTransformationImpl</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/impl/TransformationPackageImpl.html#getApplyTransformation--"><code>TransformationPackageImpl.getApplyTransformation()</code></a>, 
<a href="../../../../../../../constant-values.html#org.eclipse.papyrus.designer.transformation.profile.Transformation.TransformationPackage.APPLY_TRANSFORMATION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="M2M_TRAFO">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>M2M_TRAFO</h4>
<pre>static final&nbsp;int M2M_TRAFO</pre>
<div class="block">The meta object id for the '<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/impl/M2MTrafoImpl.html" title="class in org.eclipse.papyrus.designer.transformation.profile.Transformation.impl"><code><em>M2M Trafo</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/impl/M2MTrafoImpl.html" title="class in org.eclipse.papyrus.designer.transformation.profile.Transformation.impl"><code>M2MTrafoImpl</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/impl/TransformationPackageImpl.html#getM2MTrafo--"><code>TransformationPackageImpl.getM2MTrafo()</code></a>, 
<a href="../../../../../../../constant-values.html#org.eclipse.papyrus.designer.transformation.profile.Transformation.TransformationPackage.M2M_TRAFO">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="M2M_TRAFO__BASE_CLASS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>M2M_TRAFO__BASE_CLASS</h4>
<pre>static final&nbsp;int M2M_TRAFO__BASE_CLASS</pre>
<div class="block">The feature id for the '<em><b>Base Class</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.designer.transformation.profile.Transformation.TransformationPackage.M2M_TRAFO__BASE_CLASS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="M2M_TRAFO__BEFORE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>M2M_TRAFO__BEFORE</h4>
<pre>static final&nbsp;int M2M_TRAFO__BEFORE</pre>
<div class="block">The feature id for the '<em><b>Before</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.designer.transformation.profile.Transformation.TransformationPackage.M2M_TRAFO__BEFORE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="M2M_TRAFO__AFTER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>M2M_TRAFO__AFTER</h4>
<pre>static final&nbsp;int M2M_TRAFO__AFTER</pre>
<div class="block">The feature id for the '<em><b>After</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.designer.transformation.profile.Transformation.TransformationPackage.M2M_TRAFO__AFTER">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="M2M_TRAFO_FEATURE_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>M2M_TRAFO_FEATURE_COUNT</h4>
<pre>static final&nbsp;int M2M_TRAFO_FEATURE_COUNT</pre>
<div class="block">The number of structural features of the '<em>M2M Trafo</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.designer.transformation.profile.Transformation.TransformationPackage.M2M_TRAFO_FEATURE_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="M2M_TRAFO_OPERATION_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>M2M_TRAFO_OPERATION_COUNT</h4>
<pre>static final&nbsp;int M2M_TRAFO_OPERATION_COUNT</pre>
<div class="block">The number of operations of the '<em>M2M Trafo</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.designer.transformation.profile.Transformation.TransformationPackage.M2M_TRAFO_OPERATION_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="M2M_TRAFO_CHAIN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>M2M_TRAFO_CHAIN</h4>
<pre>static final&nbsp;int M2M_TRAFO_CHAIN</pre>
<div class="block">The meta object id for the '<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/impl/M2MTrafoChainImpl.html" title="class in org.eclipse.papyrus.designer.transformation.profile.Transformation.impl"><code><em>M2M Trafo Chain</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/impl/M2MTrafoChainImpl.html" title="class in org.eclipse.papyrus.designer.transformation.profile.Transformation.impl"><code>M2MTrafoChainImpl</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/impl/TransformationPackageImpl.html#getM2MTrafoChain--"><code>TransformationPackageImpl.getM2MTrafoChain()</code></a>, 
<a href="../../../../../../../constant-values.html#org.eclipse.papyrus.designer.transformation.profile.Transformation.TransformationPackage.M2M_TRAFO_CHAIN">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="M2M_TRAFO_CHAIN__BASE_CLASS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>M2M_TRAFO_CHAIN__BASE_CLASS</h4>
<pre>static final&nbsp;int M2M_TRAFO_CHAIN__BASE_CLASS</pre>
<div class="block">The feature id for the '<em><b>Base Class</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.designer.transformation.profile.Transformation.TransformationPackage.M2M_TRAFO_CHAIN__BASE_CLASS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="M2M_TRAFO_CHAIN_FEATURE_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>M2M_TRAFO_CHAIN_FEATURE_COUNT</h4>
<pre>static final&nbsp;int M2M_TRAFO_CHAIN_FEATURE_COUNT</pre>
<div class="block">The number of structural features of the '<em>M2M Trafo Chain</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.designer.transformation.profile.Transformation.TransformationPackage.M2M_TRAFO_CHAIN_FEATURE_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="M2M_TRAFO_CHAIN_OPERATION_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>M2M_TRAFO_CHAIN_OPERATION_COUNT</h4>
<pre>static final&nbsp;int M2M_TRAFO_CHAIN_OPERATION_COUNT</pre>
<div class="block">The number of operations of the '<em>M2M Trafo Chain</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.designer.transformation.profile.Transformation.TransformationPackage.M2M_TRAFO_CHAIN_OPERATION_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DERIVED_ELEMENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DERIVED_ELEMENT</h4>
<pre>static final&nbsp;int DERIVED_ELEMENT</pre>
<div class="block">The meta object id for the '<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/impl/DerivedElementImpl.html" title="class in org.eclipse.papyrus.designer.transformation.profile.Transformation.impl"><code><em>Derived Element</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/impl/DerivedElementImpl.html" title="class in org.eclipse.papyrus.designer.transformation.profile.Transformation.impl"><code>DerivedElementImpl</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/impl/TransformationPackageImpl.html#getDerivedElement--"><code>TransformationPackageImpl.getDerivedElement()</code></a>, 
<a href="../../../../../../../constant-values.html#org.eclipse.papyrus.designer.transformation.profile.Transformation.TransformationPackage.DERIVED_ELEMENT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DERIVED_ELEMENT__BASE_ELEMENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DERIVED_ELEMENT__BASE_ELEMENT</h4>
<pre>static final&nbsp;int DERIVED_ELEMENT__BASE_ELEMENT</pre>
<div class="block">The feature id for the '<em><b>Base Element</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.designer.transformation.profile.Transformation.TransformationPackage.DERIVED_ELEMENT__BASE_ELEMENT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DERIVED_ELEMENT__SOURCE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DERIVED_ELEMENT__SOURCE</h4>
<pre>static final&nbsp;int DERIVED_ELEMENT__SOURCE</pre>
<div class="block">The feature id for the '<em><b>Source</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.designer.transformation.profile.Transformation.TransformationPackage.DERIVED_ELEMENT__SOURCE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DERIVED_ELEMENT_FEATURE_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DERIVED_ELEMENT_FEATURE_COUNT</h4>
<pre>static final&nbsp;int DERIVED_ELEMENT_FEATURE_COUNT</pre>
<div class="block">The number of structural features of the '<em>Derived Element</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.designer.transformation.profile.Transformation.TransformationPackage.DERIVED_ELEMENT_FEATURE_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DERIVED_ELEMENT_OPERATION_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DERIVED_ELEMENT_OPERATION_COUNT</h4>
<pre>static final&nbsp;int DERIVED_ELEMENT_OPERATION_COUNT</pre>
<div class="block">The number of operations of the '<em>Derived Element</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.designer.transformation.profile.Transformation.TransformationPackage.DERIVED_ELEMENT_OPERATION_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="APPLY_TRANSFORMATION__TRAFO">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>APPLY_TRANSFORMATION__TRAFO</h4>
<pre>static final&nbsp;int APPLY_TRANSFORMATION__TRAFO</pre>
<div class="block">The feature id for the '<em><b>Trafo</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.designer.transformation.profile.Transformation.TransformationPackage.APPLY_TRANSFORMATION__TRAFO">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="APPLY_TRANSFORMATION__BASE_ELEMENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>APPLY_TRANSFORMATION__BASE_ELEMENT</h4>
<pre>static final&nbsp;int APPLY_TRANSFORMATION__BASE_ELEMENT</pre>
<div class="block">The feature id for the '<em><b>Base Element</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.designer.transformation.profile.Transformation.TransformationPackage.APPLY_TRANSFORMATION__BASE_ELEMENT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="APPLY_TRANSFORMATION_FEATURE_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>APPLY_TRANSFORMATION_FEATURE_COUNT</h4>
<pre>static final&nbsp;int APPLY_TRANSFORMATION_FEATURE_COUNT</pre>
<div class="block">The number of structural features of the '<em>Apply Transformation</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.designer.transformation.profile.Transformation.TransformationPackage.APPLY_TRANSFORMATION_FEATURE_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="APPLY_TRANSFORMATION_OPERATION_COUNT">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>APPLY_TRANSFORMATION_OPERATION_COUNT</h4>
<pre>static final&nbsp;int APPLY_TRANSFORMATION_OPERATION_COUNT</pre>
<div class="block">The number of operations of the '<em>Apply Transformation</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.designer.transformation.profile.Transformation.TransformationPackage.APPLY_TRANSFORMATION_OPERATION_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getApplyTransformation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getApplyTransformation</h4>
<pre>org.eclipse.emf.ecore.EClass&nbsp;getApplyTransformation()</pre>
<div class="block">Returns the meta object for class '<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/ApplyTransformation.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation"><code><em>Apply Transformation</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Apply Transformation</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/ApplyTransformation.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation"><code>ApplyTransformation</code></a></dd>
</dl>
</li>
</ul>
<a name="getApplyTransformation_Trafo--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getApplyTransformation_Trafo</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getApplyTransformation_Trafo()</pre>
<div class="block">Returns the meta object for the reference list '<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/ApplyTransformation.html#getTrafo--"><code><em>Trafo</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference list '<em>Trafo</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/ApplyTransformation.html#getTrafo--"><code>ApplyTransformation.getTrafo()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#getApplyTransformation--"><code>getApplyTransformation()</code></a></dd>
</dl>
</li>
</ul>
<a name="getApplyTransformation_Base_Element--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getApplyTransformation_Base_Element</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getApplyTransformation_Base_Element()</pre>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/ApplyTransformation.html#getBase_Element--"><code><em>Base Element</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Element</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/ApplyTransformation.html#getBase_Element--"><code>ApplyTransformation.getBase_Element()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#getApplyTransformation--"><code>getApplyTransformation()</code></a></dd>
</dl>
</li>
</ul>
<a name="getM2MTrafo--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getM2MTrafo</h4>
<pre>org.eclipse.emf.ecore.EClass&nbsp;getM2MTrafo()</pre>
<div class="block">Returns the meta object for class '<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/M2MTrafo.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation"><code><em>M2M Trafo</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>M2M Trafo</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/M2MTrafo.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation"><code>M2MTrafo</code></a></dd>
</dl>
</li>
</ul>
<a name="getM2MTrafo_Base_Class--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getM2MTrafo_Base_Class</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getM2MTrafo_Base_Class()</pre>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/M2MTrafo.html#getBase_Class--"><code><em>Base Class</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Class</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/M2MTrafo.html#getBase_Class--"><code>M2MTrafo.getBase_Class()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#getM2MTrafo--"><code>getM2MTrafo()</code></a></dd>
</dl>
</li>
</ul>
<a name="getM2MTrafo_Before--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getM2MTrafo_Before</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getM2MTrafo_Before()</pre>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/M2MTrafo.html#getBefore--"><code><em>Before</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Before</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/M2MTrafo.html#getBefore--"><code>M2MTrafo.getBefore()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#getM2MTrafo--"><code>getM2MTrafo()</code></a></dd>
</dl>
</li>
</ul>
<a name="getM2MTrafo_After--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getM2MTrafo_After</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getM2MTrafo_After()</pre>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/M2MTrafo.html#getAfter--"><code><em>After</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>After</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/M2MTrafo.html#getAfter--"><code>M2MTrafo.getAfter()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#getM2MTrafo--"><code>getM2MTrafo()</code></a></dd>
</dl>
</li>
</ul>
<a name="getM2MTrafoChain--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getM2MTrafoChain</h4>
<pre>org.eclipse.emf.ecore.EClass&nbsp;getM2MTrafoChain()</pre>
<div class="block">Returns the meta object for class '<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/M2MTrafoChain.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation"><code><em>M2M Trafo Chain</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>M2M Trafo Chain</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/M2MTrafoChain.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation"><code>M2MTrafoChain</code></a></dd>
</dl>
</li>
</ul>
<a name="getM2MTrafoChain_Base_Class--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getM2MTrafoChain_Base_Class</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getM2MTrafoChain_Base_Class()</pre>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/M2MTrafoChain.html#getBase_Class--"><code><em>Base Class</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Class</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/M2MTrafoChain.html#getBase_Class--"><code>M2MTrafoChain.getBase_Class()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#getM2MTrafoChain--"><code>getM2MTrafoChain()</code></a></dd>
</dl>
</li>
</ul>
<a name="getDerivedElement--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDerivedElement</h4>
<pre>org.eclipse.emf.ecore.EClass&nbsp;getDerivedElement()</pre>
<div class="block">Returns the meta object for class '<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/DerivedElement.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation"><code><em>Derived Element</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Derived Element</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/DerivedElement.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation"><code>DerivedElement</code></a></dd>
</dl>
</li>
</ul>
<a name="getDerivedElement_Base_Element--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDerivedElement_Base_Element</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getDerivedElement_Base_Element()</pre>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/DerivedElement.html#getBase_Element--"><code><em>Base Element</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Element</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/DerivedElement.html#getBase_Element--"><code>DerivedElement.getBase_Element()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#getDerivedElement--"><code>getDerivedElement()</code></a></dd>
</dl>
</li>
</ul>
<a name="getDerivedElement_Source--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDerivedElement_Source</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getDerivedElement_Source()</pre>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/DerivedElement.html#getSource--"><code><em>Source</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Source</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/DerivedElement.html#getSource--"><code>DerivedElement.getSource()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html#getDerivedElement--"><code>getDerivedElement()</code></a></dd>
</dl>
</li>
</ul>
<a name="getTransformationFactory--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getTransformationFactory</h4>
<pre><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationFactory.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation">TransformationFactory</a>&nbsp;getTransformationFactory()</pre>
<div class="block">Returns the factory that creates the instances of the model.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the factory that creates the instances of the model.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TransformationPackage.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationFactory.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.Literals.html" title="interface in org.eclipse.papyrus.designer.transformation.profile.Transformation"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/designer/transformation/profile/Transformation/TransformationPackage.html" target="_top">Frames</a></li>
<li><a href="TransformationPackage.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
